Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.apache.xalan.xpath.xml
Class FormatterToXML

    java.lang.Object
      |
      +--org.xml.sax.helpers.ParserAdapter
            |
            +--weblogic.apache.xalan.xpath.xml.FormatterToXML

Deprecated. This compatibility layer will be removed in later releases.

public class FormatterToXML
extends org.xml.sax.helpers.ParserAdapter

FormatterToXML formats SAX-style events into XML. Warning: this class will be replaced by the Xerces Serializer classes.

This class is based on an implementation from the Apache XML Project. In future releases the XML parser, XSLT processor, and associated classes will likely be updated to be based on a later version of the Apache implementations. Since Apache does not guarantee backwards compatibility between versions of their software, we cannot guarantee backwards compatibility of any of the classes contained in the weblogic.apache package or sub-packages.

Constructor Summary
`FormatterToXML()` Deprecated.
`FormatterToXML(FormatterToXML xmlListener)` Deprecated. Constructor using a writer.
`FormatterToXML(java.io.OutputStream os)` Deprecated. Constructor using an output stream, and a simple OutputFormat.
`FormatterToXML(java.io.Writer writer)` Deprecated. Constructor using a writer.

Method Summary
`SerializerToXML` | `getSerializerObject()` Deprecated.

Methods inherited from class org.xml.sax.helpers.ParserAdapter
`characters, endDocument, endElement, getContentHandler, getDTDHandler, getEntityResolver, getErrorHandler, getFeature, getProperty, ignorableWhitespace, parse, parse, processingInstruction, setContentHandler, setDocumentLocator, setDTDHandler, setEntityResolver, setErrorHandler, setFeature, setProperty, startDocument, startElement`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FormatterToXML

    public FormatterToXML()

  Deprecated.

### FormatterToXML

    public FormatterToXML(java.io.Writer writer)
                   throws org.xml.sax.SAXException

  Deprecated.
  Constructor using a writer.

  Parameters:
    `writer` - The character output stream to use.

### FormatterToXML

    public FormatterToXML(java.io.OutputStream os)
                   throws java.io.UnsupportedEncodingException,
                          org.xml.sax.SAXException

  Deprecated.
  Constructor using an output stream, and a simple OutputFormat.

  Parameters:
    `writer` - The character output stream to use.

### FormatterToXML

    public FormatterToXML(FormatterToXML xmlListener)
                   throws org.xml.sax.SAXException

  Deprecated.
  Constructor using a writer.

  Parameters:
    `writer` - The character output stream to use.

Method Detail

### getSerializerObject

    public SerializerToXML getSerializerObject()

  Deprecated.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference